scala.tools.selectivecps

# SelectiveANFTransform

#### abstract class SelectiveANFTransform extends PluginComponent with Transform with TypingTransformers with CPSUtils

In methods marked @cps, explicitly name results of calls to other @cps methods

Linear Supertypes
CPSUtils, TypingTransformers, Transform, PluginComponent, SubComponent, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SelectiveANFTransform
2. CPSUtils
3. TypingTransformers
4. Transform
5. PluginComponent
6. SubComponent
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new SelectiveANFTransform()

### Type Members

1. #### class ANFTransformer extends TypingTransformer

2. #### type CPSInfo = Option[(nsc.Global.Type, nsc.Global.Type)]

   Definition Classes
     CPSUtils

3. #### class Phase extends nsc.transform.Transform.StdPhase

   Definition Classes
     Transform

4. #### abstract class StdPhase extends GlobalPhase

   Definition Classes
     SubComponent

5. #### abstract class TypingTransformer extends nsc.Global.Transformer

   Definition Classes
     TypingTransformers

### Abstract Value Members

1. #### abstract val global: Global

   Definition Classes
     CPSUtils

2. #### abstract val runsAfter: List[String]

   Definition Classes
     SubComponent

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from SelectiveANFTransform to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (SelectiveANFTransform, B)

   Implicit information
     This member is added by an implicit conversion from SelectiveANFTransform to ArrowAssoc[SelectiveANFTransform] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### lazy val Context: nsc.Global.ClassSymbol

   Definition Classes
     CPSUtils

9. #### lazy val MarkerCPSAdaptMinus: nsc.Global.ClassSymbol

   Definition Classes
     CPSUtils

10. #### lazy val MarkerCPSAdaptPlus: nsc.Global.ClassSymbol

    Definition Classes
      CPSUtils

11. #### lazy val MarkerCPSSym: nsc.Global.ClassSymbol

    Definition Classes
      CPSUtils

12. #### lazy val MarkerCPSSynth: nsc.Global.ClassSymbol

    Definition Classes
      CPSUtils

13. #### lazy val MarkerCPSTypes: nsc.Global.ClassSymbol

    Definition Classes
      CPSUtils

14. #### lazy val MethReify: nsc.Global.Symbol

    Definition Classes
      CPSUtils

15. #### lazy val MethReifyR: nsc.Global.Symbol

    Definition Classes
      CPSUtils

16. #### lazy val MethShift: nsc.Global.Symbol

    Definition Classes
      CPSUtils

17. #### lazy val MethShiftR: nsc.Global.Symbol

    Definition Classes
      CPSUtils

18. #### lazy val MethShiftUnit: nsc.Global.Symbol

    Definition Classes
      CPSUtils

19. #### lazy val MethShiftUnit0: nsc.Global.Symbol

    Definition Classes
      CPSUtils

20. #### lazy val MethShiftUnitR: nsc.Global.Symbol

    Definition Classes
      CPSUtils

21. #### lazy val ModCPS: nsc.Global.ModuleSymbol

    Definition Classes
      CPSUtils

22. #### final def afterOwnPhase[T](op: ⇒ T): T

    Definition Classes
      SubComponent
    Annotations
      @inline()

23. #### lazy val allCPSAnnotations: collection.immutable.List[nsc.Global.ClassSymbol]

    Definition Classes
      CPSUtils

24. #### def annTypes(ann: nsc.Global.AnnotationInfo): (nsc.Global.Type, nsc.Global.Type)

    Attributes
      protected
    Definition Classes
      CPSUtils

25. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

26. #### final def beforeOwnPhase[T](op: ⇒ T): T

    Definition Classes
      SubComponent
    Annotations
      @inline()

27. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### var cpsEnabled: Boolean

    Definition Classes
      CPSUtils

29. #### object cpsNames

    Definition Classes
      CPSUtils

30. #### def cpsParamAnnotation(tpe: nsc.Global.Type): collection.immutable.List[nsc.Global.AnnotationInfo]

    Definition Classes
      CPSUtils

31. #### def cpsParamTypes(tpe: nsc.Global.Type): Option[(nsc.Global.Type, nsc.Global.Type)]

    Attributes
      protected
    Definition Classes
      CPSUtils

32. #### def ensuring(cond: (SelectiveANFTransform) ⇒ Boolean, msg: ⇒ Any): SelectiveANFTransform

    Implicit information
      This member is added by an implicit conversion from SelectiveANFTransform to Ensuring[SelectiveANFTransform] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

33. #### def ensuring(cond: (SelectiveANFTransform) ⇒ Boolean): SelectiveANFTransform

    Implicit information
      This member is added by an implicit conversion from SelectiveANFTransform to Ensuring[SelectiveANFTransform] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

34. #### def ensuring(cond: Boolean, msg: ⇒ Any): SelectiveANFTransform

    Implicit information
      This member is added by an implicit conversion from SelectiveANFTransform to Ensuring[SelectiveANFTransform] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

35. #### def ensuring(cond: Boolean): SelectiveANFTransform

    Implicit information
      This member is added by an implicit conversion from SelectiveANFTransform to Ensuring[SelectiveANFTransform] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

36. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

37. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

38. #### def filterAttribs(tpe: nsc.Global.Type, cls: nsc.Global.Symbol): collection.immutable.List[nsc.Global.AnnotationInfo]

    Definition Classes
      CPSUtils

39. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

40. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from SelectiveANFTransform to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

41. #### def getAnswerTypeAnn(tp: nsc.Global.Type): Option[(nsc.Global.Type, nsc.Global.Type)]

    Definition Classes
      CPSUtils

42. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

43. #### def getExternalAnswerTypeAnn(tp: nsc.Global.Type): Option[(nsc.Global.Type, nsc.Global.Type)]

    Definition Classes
      CPSUtils

44. #### def hasAnswerTypeAnn(tp: nsc.Global.Type): Boolean

    Definition Classes
      CPSUtils

45. #### def hasCpsParamTypes(tpe: nsc.Global.Type): Boolean

    Attributes
      protected
    Definition Classes
      CPSUtils

46. #### def hasMinusMarker(tpe: nsc.Global.Type): Boolean

    Attributes
      protected
    Definition Classes
      CPSUtils

47. #### def hasPlusMarker(tpe: nsc.Global.Type): Boolean

    Attributes
      protected
    Definition Classes
      CPSUtils

48. #### def hasSynthMarker(tpe: nsc.Global.Type): Boolean

    Attributes
      protected
    Definition Classes
      CPSUtils

49. #### def hashCode(): Int

    Definition Classes
      SubComponent → AnyRef → Any

50. #### final val internal: Boolean(false)

    Definition Classes
      PluginComponent → SubComponent

51. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

52. #### def linearize(a: CPSInfo, b: CPSInfo)(implicit unit: nsc.Global.CompilationUnit, pos: nsc.Global.Position): CPSInfo

    Definition Classes
      CPSUtils

53. #### def linearize(ann: List[nsc.Global.AnnotationInfo]): nsc.Global.AnnotationInfo

    Definition Classes
      CPSUtils

54. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

55. #### def newCpsParamsMarker(tp1: nsc.Global.Type, tp2: nsc.Global.Type): nsc.Global.AnnotationInfo

    Attributes
      protected
    Definition Classes
      CPSUtils

56. #### def newMarker(sym: nsc.Global.Symbol): nsc.Global.AnnotationInfo

    Attributes
      protected
    Definition Classes
      CPSUtils

57. #### def newMarker(tpe: nsc.Global.Type): nsc.Global.AnnotationInfo

    Attributes
      protected
    Definition Classes
      CPSUtils

58. #### def newMinusMarker(): nsc.Global.AnnotationInfo

    Attributes
      protected
    Definition Classes
      CPSUtils

59. #### def newPhase(prev: nsc.Phase): StdPhase

    Definition Classes
      Transform → SubComponent

60. #### def newPlusMarker(): nsc.Global.AnnotationInfo

    Attributes
      protected
    Definition Classes
      CPSUtils

61. #### def newSynthMarker(): nsc.Global.AnnotationInfo

    Attributes
      protected
    Definition Classes
      CPSUtils

62. #### def newTransformer(unit: nsc.Global.CompilationUnit): nsc.Global.Transformer

    Attributes
      protected
    Definition Classes
      SelectiveANFTransform → Transform

63. #### final def notify(): Unit

    Definition Classes
      AnyRef

64. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

65. #### def ownPhase: nsc.Phase

    Definition Classes
      SubComponent

66. #### val phaseName: String

    the following two members override abstract members in Transform

    the following two members override abstract members in Transform

    Definition Classes
      SelectiveANFTransform → SubComponent

67. #### def phaseNewFlags: Long

    Definition Classes
      SubComponent

68. #### def phaseNextFlags: Long

    Definition Classes
      SubComponent

69. #### def removeAllCPSAnnotations(tpe: nsc.Global.Type): nsc.Global.Type

    Definition Classes
      CPSUtils

70. #### def removeAttribs(tpe: nsc.Global.Type, classes: nsc.Global.Symbol*): nsc.Global.Type

    Definition Classes
      CPSUtils

71. #### val runsBefore: List[String]

    Definition Classes
      SubComponent

72. #### val runsRightAfter: Option[String]

    Definition Classes
      PluginComponent → SubComponent

73. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

74. #### def toString(): String

    Definition Classes
      AnyRef → Any

75. #### def updateSynthFlag(tree: nsc.Global.Tree): nsc.Global.Tree

    Definition Classes
      CPSUtils

76. #### val verbose: Boolean

    Definition Classes
      CPSUtils

77. #### def vprintln(x: ⇒ Any): Unit

    Definition Classes
      CPSUtils

78. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

79. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

80. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

81. #### def →[B](y: B): (SelectiveANFTransform, B)

    Implicit information
      This member is added by an implicit conversion from SelectiveANFTransform to ArrowAssoc[SelectiveANFTransform] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from SelectiveANFTransform to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (selectiveANFTransform: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from SelectiveANFTransform to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (selectiveANFTransform: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: SelectiveANFTransform

   Implicit information
     This member is added by an implicit conversion from SelectiveANFTransform to ArrowAssoc[SelectiveANFTransform] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (selectiveANFTransform: ArrowAssoc[SelectiveANFTransform]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: SelectiveANFTransform

   Implicit information
     This member is added by an implicit conversion from SelectiveANFTransform to Ensuring[SelectiveANFTransform] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (selectiveANFTransform: Ensuring[SelectiveANFTransform]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from CPSUtils

### Inherited from TypingTransformers

### Inherited from Transform

### Inherited from PluginComponent

### Inherited from SubComponent

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from SelectiveANFTransform to StringAdd

### Inherited by implicit conversion any2stringfmt from SelectiveANFTransform to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from SelectiveANFTransform to ArrowAssoc[SelectiveANFTransform]

### Inherited by implicit conversion any2Ensuring from SelectiveANFTransform to Ensuring[SelectiveANFTransform]

### Ungrouped